Ubuntu

Comment 34 for bug 338785

John Vivirito (gnomefreak) wrote :

Closing as 3.0 under a supported Ubuntu release will be updated to latest Firefox from now on.